'build' stops (needs iOS, on Windows) with app-scripts 0.0.42


#1

In my working project using app-scripts 0.0.41 I followed the blog instructions to upgrade to latest, ‘ionic serve’ works but ‘build’ doesn’t:

C:\Users\wayne\Projects\myBOLO>ionic build
✗ You cannot run iOS unless you are on Mac OSX.

C:\Users\wayne\Projects\myBOLO>ionic info

Your system information:

ordova CLI: 6.4.0
Ionic Framework Version: 2.0.0-rc.2
Ionic CLI Version: 2.1.7
Ionic App Lib Version: 2.1.4
Ionic App Scripts Version: 0.0.42
ios-deploy version: Not installed
ios-sim version: Not installed
OS: Windows 10
Node Version: v6.9.1
Xcode version: Not installed

In package.json:

“scripts”: {
“ionic:build”: “ionic-app-scripts build”,
“ionic:serve”: “ionic-app-scripts serve”
},

“devDependencies”: {
"@ionic/app-scripts": “0.0.42”,
"@types/request": “0.0.30”,
“typescript”: “2.0.6”
},

“cordovaPlugins”: [
“cordova-plugin-device”,
“cordova-plugin-console”,
“cordova-plugin-whitelist”,
“cordova-plugin-splashscreen”,
“cordova-plugin-statusbar”,
“ionic-plugin-keyboard”
],
“cordovaPlatforms”: []
}


#2

Use